Différences

Cette page vous donne les différences entre la révision choisie et la version actuelle de la page.

Lien vers cette vue

utiliser:apprendre:install:installation:free.fr [2019/01/07 21:00]
klaoun [Organisation des fichiers]
utiliser:apprendre:install:installation:free.fr [2022/01/01 21:30] (Version actuelle)
klaoun [Mise à jour manuelle]
Ligne 32: Ligne 32:
 ./piwigo/doc/ ./piwigo/doc/
 etc...</code> etc...</code>
 +
 ===== Htaccess différent ===== ===== Htaccess différent =====
 Le tableau explique de quelle version php doit-on utiliser pour utiliser piwigo. Par exemple, si vous utilisez piwigo version 2.6, il y aura un bug si vous utiliserez php 5.1.3rc4 Le tableau explique de quelle version php doit-on utiliser pour utiliser piwigo. Par exemple, si vous utilisez piwigo version 2.6, il y aura un bug si vous utiliserez php 5.1.3rc4
Ligne 74: Ligne 75:
 </IfDefine> </IfDefine>
 </file>| </file>|
-|?|7.0/7.1+/7.2+|?|+|<code><Files .htaccess> 
 +order allow,deny 
 +deny from all 
 +</Files> 
 +#php7 en actif 
 +<IfDefine Free> 
 +php73 1 
 +</IfDefine></code>|7.3.3 (seulement sur perso117)|<file .htaccess .htaccess> 
 +<Files .htaccess> 
 +order allow,deny 
 +deny from all 
 +</Files> 
 +#php7 en actif 
 +<IfDefine Free> 
 +php73 1 
 +</IfDefine> 
 +</file>|
  
-^Version^PHP 4.4.3dev^PHP 5.1.3rc4^PHP 5.6.8^PHP 5.6.23 ou 5.6.34^PHP 7.0^PHP 7.1+^PHP 7.2+^ +^Version^PHP 4.4.3dev^PHP 5.1.3rc4^PHP 5.6.8^PHP 5.6.23 ou 5.6.34^7.3.3^ 
-|Piwigo 2.4.x|?|ok|ok|ok|?|?|?| +|Piwigo 2.3.x|?|?|?|ok|?| 
-|Piwigo 2.5.x|?|ok|ok|?|?|?|?| +|Piwigo 2.4.x|?|ok|ok|ok|?| 
-|Piwigo 2.6.x|?|code datetime|?|?|?|?|?| +|Piwigo 2.5.x|?|ne fonctionne pas|ok|?|?| 
-|Piwigo 2.7.x|ne fonctionne pas|ne fonctionne pas|ok|?|?|?|?| +|Piwigo 2.6.x|?|code datetime|?|?|?| 
-|Piwigo 2.8.x|?|?|ok|?|?|?|?| +|Piwigo 2.7.x|ne fonctionne pas|ne fonctionne pas|ok|?|?| 
-|Piwigo 2.9.x|parse error ligne 332|?|ok|ok|?|?|?| +|Piwigo 2.8.x|?|?|ok|?|?| 
-===== Nouvelle installation Piwigo version (2.8.x/2.9.x) ===== +|Piwigo 2.9.x|parse error ligne 332|parse error ligne 1402|ok|ok|?| 
-1.télécharger la 2.9.par exemple : https://piwigo.org/download/dlcounter.php?code=2.9.4+|Piwigo 2.10.x|?|?|?|ok|?| 
 +|Piwigo 11.x|?|?|?|ok|?
 +|Piwigo 12.x|?|?|?|ok|?| 
 +|Piwigo 13.x|?|?|?|ok|?| 
 +===== Installation Piwigo version (12.x) =====  
 +1.télécharger la 12 par exemple : https://piwigo.org/download/dlcounter.php?code=latest 
 + 
 +2.dezipper dans un dossier et l'insérer sur votre site totalement par ftp via filezilla. Attention à ne pas avoir de fichier dans transferts échoués 
 + 
 +3.remplir les champs du formulaire 
 + 
 +5.cliquer sur le bouton démarrer l'installation. attendre un peu que ca finisse. 
 + 
 +6.voila votre galerie est prête. 
 + 
 +<wrap important> 
 + 
 +ATTENTION vous pouvez rencontrer un souci lors de version php.</wrap> 
 + 
 +Solution 1. changer la ligne 23 du fichier include/constants.php 
 +       remplacer : define('REQUIRED_PHP_VERSION', '7.0.0'); 
 +       par : define('REQUIRED_PHP_VERSION', '5.6.0'); 
 + 
 +<code php> 
 +<?php 
 +$conf['dblayer'] = 'mysqli'; // Type de BDD 
 +$conf['db_base'] = 'identifiant'; // Nom de la base de données 
 +$conf['db_user'] = 'identifiant'; // Votre identifiant de connection à votre BDD 
 +$conf['db_password'] = 'xxxxxx'; // Votre mot de passe pour la connection à votre BDD 
 +$conf['db_host'] = 'localhost'; // Nom d'hôte de votre BDD 
 +  
 +$prefixeTable = 'piwigo_'; // Préfixe des tables 
 +  
 +define('PHPWG_INSTALLED', true); 
 +define('PWG_CHARSET', 'utf-8'); 
 +define('DB_CHARSET', 'utf8'); 
 +define('DB_COLLATE', ''); 
 +  
 +?> 
 +</code> 
 +===== Nouvelle installation Piwigo version (11.x) ===== 
 +1.télécharger la version 11 par exemple : https://piwigo.org/download/dlcounter.php?code=11.5.0 
 + 
 +2.dezipper dans un dossier et l'insérer sur votre site totalement par ftp via filezilla. Attention à ne pas avoir de fichier dans transferts échoués 
 + 
 +3.remplir les champs du formulaire 
 + 
 +5.cliquer sur le bouton démarrer l'installation. attendre un peu que ca finisse. 
 + 
 +6.voila votre galerie est prête. 
 +<code php> 
 +<?php 
 +$conf['dblayer'] = 'mysqli'; // Type de BDD 
 +$conf['db_base'] = 'identifiant'; // Nom de la base de données 
 +$conf['db_user'] = 'identifiant'; // Votre identifiant de connection à votre BDD 
 +$conf['db_password'] = 'xxxxxx'; // Votre mot de passe pour la connection à votre BDD 
 +$conf['db_host'] = 'localhost'; // Nom d'hôte de votre BDD 
 +  
 +$prefixeTable = 'piwigo_'; // Préfixe des tables 
 +  
 +define('PHPWG_INSTALLED', true); 
 +define('PWG_CHARSET', 'utf-8'); 
 +define('DB_CHARSET', 'utf8'); 
 +define('DB_COLLATE', ''); 
 +  
 +?> 
 +</code> 
 +===== Nouvelle installation Piwigo version (2.8.x/2.9.x/2.10.x) ===== 
 +1.télécharger la 2.10.par exemple : https://piwigo.org/download/dlcounter.php?code=2.10.2
  
 2.dezipper dans un dossier et l'insérer sur votre site totalement par ftp via filezilla. Attention à ne pas avoir de fichier dans transferts échoués 2.dezipper dans un dossier et l'insérer sur votre site totalement par ftp via filezilla. Attention à ne pas avoir de fichier dans transferts échoués
Ligne 101: Ligne 186:
        remplacer : $parts = mb_split(preg_quote($search), $subject);        remplacer : $parts = mb_split(preg_quote($search), $subject);
        par : $parts = preg_split('~preg_quote($search)~', $subject);        par : $parts = preg_split('~preg_quote($search)~', $subject);
 +<code php> 
 +<?php 
 +$conf['dblayer'] = 'mysqli'; // Type de BDD 
 +$conf['db_base'] = 'identifiant'; // Nom de la base de données 
 +$conf['db_user'] = 'identifiant'; // Votre identifiant de connection à votre BDD 
 +$conf['db_password'] = 'xxxxxx'; // Votre mot de passe pour la connection à votre BDD 
 +$conf['db_host'] = 'localhost'; // Nom d'hôte de votre BDD 
 +  
 +$prefixeTable = 'piwigo_'; // Préfixe des tables 
 +  
 +define('PHPWG_INSTALLED', true); 
 +define('PWG_CHARSET', 'utf-8'); 
 +define('DB_CHARSET', 'utf8'); 
 +define('DB_COLLATE', ''); 
 +  
 +?> 
 +</code>
 ===== Nouvelle Installation (2.5.x) ou (2.6.x) ===== ===== Nouvelle Installation (2.5.x) ou (2.6.x) =====
 (dans le cas avec la bdd mysql) (dans le cas avec la bdd mysql)
  
-1.télécharger la 2.5.6 par exemple : http://piwigo.org/download/dlcounter.php?code=2.5.6 ou la 2.6.5 http://piwigo.org/download/dlcounter.php?code=2.6.5+1.télécharger la 2.5.6 par exemple : https://piwigo.org/download/dlcounter.php?code=2.5.6 ou la 2.6.5 https://piwigo.org/download/dlcounter.php?code=2.6.5
 soit les dernières versions avec la modification du fichier functions.inc.php voir étape 7\\ soit les dernières versions avec la modification du fichier functions.inc.php voir étape 7\\
 2.dezipper dans un dossier et l'insérer sur votre site totalement par ftp via filezillaftp. Attention à ne pas avoir de fichier dans transferts échoués\\ 2.dezipper dans un dossier et l'insérer sur votre site totalement par ftp via filezillaftp. Attention à ne pas avoir de fichier dans transferts échoués\\
Ligne 204: Ligne 305:
 ===== Version 2.7.x ===== ===== Version 2.7.x =====
  
-1.télécharger la 2.7.4 par exemple : http://piwigo.org/download/dlcounter.php?code=2.7.4+1.télécharger la 2.7.4 par exemple : https://piwigo.org/download/dlcounter.php?code=2.7.4
 soit la dernière version avec la modification du fichier .htaccess voir étape création d'un .htaccess personnalisé ci dessous soit la dernière version avec la modification du fichier .htaccess voir étape création d'un .htaccess personnalisé ci dessous
  
Ligne 250: Ligne 351:
  
  
 +===== Mise à jour automatique =====
 +Depuis peu de temps, toute mise à jour est possible, sauf, D'après mes informations le thème Bootstrap_darkroom n'est pas possible.
 ===== Mise à jour manuelle ===== ===== Mise à jour manuelle =====
  
-Pour passer de la version 2.8.6 à 2.9 etc... tout comme 2.9.à 2.9.etc..., la mise à jour se fait tout simplement manuellement. Il suffit simplement de lire attentivement la page +Pour passer de la version 2.8.6 à 2.9 etc... tout comme 2.9.à 2.9.etc..., la mise à jour se fait tout simplement manuellement. Il suffit simplement de lire attentivement la page 
 [[https://fr.piwigo.org/doc/doku.php?id=utiliser:apprendre:install:maj:maj_manuelle|Mise à jour manuelle]] [[https://fr.piwigo.org/doc/doku.php?id=utiliser:apprendre:install:maj:maj_manuelle|Mise à jour manuelle]]
  
-ou alors par exemple Si vous utilisez actuellement Piwigo 2.9.x, vous pouvez télécharger l'archive [[https://piwigo.org/download/dlcounter.php?code=29xto294|Mise à jour 29xto294]] qui ne contient que les fichiers nouveaux ou modifiés. Une fois les fichiers extraits, transférez-les par FTP sur votre site par dessus votre installation 2.9.x. Votre base de données n'a pas besoin de mise à jour+ou alors par exemple Si vous utilisez actuellement Piwigo 12.x, vous pouvez télécharger l'archive [[https://piwigo.org/download/dlcounter.php?code=12xto1220|Mise à jour 12 à 12.2.0]] qui ne contient que les fichiers nouveaux ou modifiés. Une fois les fichiers extraits, transférez-les par FTP sur votre site par dessus votre installation version 11. Votre base de données n'a pas besoin de mise à jour
 ===== Https/ssl ===== ===== Https/ssl =====
-Bientôt... je ferai un récapitultif ici+Bientôt... plus à venir
 
Haut de page
utiliser/apprendre/install/installation/free.fr.1546894817.txt.gz · Dernière modification: 2019/01/07 21:00 par klaoun
 
 
github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact